Skip to main content
POST
/
reverse-penny-drop
Create Reverse Penny Drop Request
curl --request POST \
  --url https://sandbox.cashfree.com/verification/reverse-penny-drop \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "verification_id": "11",
  "name": "John Doe",
  "redirect_url": "https://example.com/success"
}
'
{
  "verification_id": "90909710",
  "ref_id": 3905,
  "valid_upto": "2024-02-13T13:01:44.000Z",
  "upi_link": "upi://pay?pa=success@upi&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=3905",
  "gpay": "tez://upi/pay?pa=success@upi&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=3905",
  "bhim": "bhim://upi://pay?pa=success@upi&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=3905",
  "paytm": "paytmmp://pay?pa=success@upi&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=3905",
  "phonepe": "phonepe://pay?pa=success@upi&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=3905",
  "qr_code": "iVBORw0KGgoAAAANSUhEUgAAAQAAAAEAAQMAAABmvDolAAAABlBMVEX///8AAABVwtN+AAACWUlEQVR42uyYy3E7LRDEe4sDR0IglM1sH+XECIUQOHKg1F/1sHrYCkDw/cXBZePfQSNmenoG3/M9/+RZSPKGtYUbVmApdrvqNk0EVAAb0MKBlXkLZN6EIkwFRJbNkzxJl5eyIh5YPduIQNmwNigKPc2cQCJZLY9YsZT5AGWU/lZxqC4U8lvKfRiw4vWphbOuLm8h1XiWt+oeHOjHJwiw64q9vMnp4IAyil1DqwmpKP1oAwHw+tUnVxYml3cm1QGkQ1MBWWq/urKTiGeB1B6Au2fUHAARDlX0zgRFWONJPqt7CmCpcKruXuLxCIm06m4DAUBEOJmcGpe7KkRp9aiLGYCFGdgrenFkSEitcbmH0k4BkGpkamr91B788WKbhwAURTh8clJ7z5tM5f4axegAEJ1alPm160JC+tK4ZgB8t2fy9vJDPaPSLyH9OLAwOx4Sy/PqvIi3kBB/ZgJ0wk0mhxUqZHjNKv4lo6YAokas1Lr1pLXfP0r7cWAhrWRN7ZuS3eddD9Ke3n58ALCAVnVem2sTYEbheH4PEwA+2xzoymWblVaBLxPKAIC9xXnNUtcYZf+76+QcgE0oNkaRLfa6LavPDyGdBHAFMpzyazYMRpuzjucgNgOAFlTdtDDNP+jt8vOxPg88JkLrvNE2Tafp0O/twdjAtWXFNdLedyCzAfd9VF8vyDZH89E/QwHXZq9sgOuffVdkb6u/GQB5e1o7qPFQO/h5EdJZAJpVswW97UDq21r+s0C/Rt9P2shtLeyYCriabp8IYXP37Y9/GB/4nu/5n53/AgAA///QrXLm5G9kaAAAAABJRU5ErkJggg==",
  "url": "https://verification-test.cashfree.com/rpd?shortCode=g4lnkgtaho0g"
}

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Body

application/json

Find the request parameters to create a reverse penny drop request.

verification_id
string
default:11
required

It is the unique ID you create to identify the API request. The maximum character limit is 50. Only alphanumeric, hyphen (-), period (.), and underscore ( _ ) are allowed.

Example:

"11"

name
string
default:John Doe

It is the name of the UPI VPA account holder.

Example:

"John Doe"

redirect_url
string
default:https://www.google.com

The URL to redirect the user after payment is completed on the webpage URL in the response. If not provided, the user will be redirected to www.google.com by default.

Example:

"https://example.com/success"

Response

Success response for creating a reverse penny drop request.

verification_id
string

It displays the unique ID you created to identify this API request.

Example:

"11"

ref_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

100173

valid_upto
string

It displays the time validity of the intent links in the create RPD request. By default, its value is 10 minutes from the time of link generation.

Example:

"2023-11-08 09:32:52"

It displays the generated UPI link for the reverse penny drop request.

Example:

"upi://pay?pa=yespay.cpisprod01@yesbankltd&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=100173&tid=100173"

paytm
string

It displays the generated Paytm link for the reverse drop request.

Example:

"paytmmp://pay?pa=yespay.cpisprod01@yesbankltd&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=100173&tid=100173"

bhim
string

It displays the generated BHIM link for the reverse penny drop request.

Example:

"bhim://upi://pay?pa=yespay.cpisprod01@yesbankltd&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=100173&tid=100173"

gpay
string

It displays the generated Gpay link for the reverse penny drop request.

Example:

"tez://upi/pay?pa=yespay.cpisprod01@yesbankltd&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=100173&tid=100173"

phonepe
string

It displays the generated Phonepe link for the reverse penny drop request.

Example:

"phonepe://pay?pa=yespay.cpisprod01@yesbankltd&pn=Cashfree&tn=BAV&am=1.00&cu=INR&tr=100173&tid=100173"

qr_code
string

It displays the generated QR code for the reverse penny drop request in base64-encoded format.

Example:

"iVBORw0KGgoAAAANSUhEUgAAAQAAAAEAAQMAAABmvDolAAAABlBMVEX///8AAABVwtN+AAACuklEQVR42uyYwa3jMAxEx/CBR5WgTqzGgtiBG5M7UQk66mB4FkP/3WR/A5aB8PZ/3sGUqOGQ+MY3bhhGklsd6sAdiAASJgz6b70RUADLQQgiuaMBqQ0VGHsCSMvhwFBHrvqDDRjqzLUzYCPrwLWM1FG3qU+g6sMfXg9G5hsCgG3MmOtMFoAZiduviroaOJ/eFF71EdeyR8tt0uX8epuXAh4DDzzDSnKknXX9f1wMWEFSCYRXncsjjjpstkTW911cDkCqNbk+PACMhZ5DOMJ6K8Cy5ZDxDIv/bLTsijJ2BbBNyiOsBbqLZAcSX3XuB1CxSBJ+pHiH0bY2cPnQh8sBxJY8hwOIe1T3NfIIR+CNAKmFNwhZhkck9TaZw8c5XA/o6bUpSHnnMlMFw8MEPNANIOV1uzhz5YIdlpUF0BVQSOiYn3p6UL9QA6nP8OEfrgZ01N55l7DEJarj8nDpHW8EWDGe0wIXzBzZ5Hm2t3voAUC0TDkx9Yu5AC21gVKHv1rdBUAi1UnA+6hVMOwHkKfl4W7Mq7qoxxk/GsodALfiQFJeRR3D/aS63r+4HjC2ZOphS2AZqYvhxkPTRO0JgGcx/9jFlixDDWRHP0Bxu+ifzSVSyjxhAjDXjgCkJh+2BHJxu3iOtPVOgDvzzQVkLQ95MbgQz+9h8nrAXBAAPKGa3tFghx2B7+3B9YB78wMTZHJW3x7YaXLmroDsWQxyYjrqJOH99LQ3AHx6POcFf5nlZy1yfBjOy4FzB1JT9Q+nC8ggO/FO83rg3CaRGnLd9CLJiX244h6Ac5nMOlRNvLsPwaYs/o0PPQC+4ZzwlCkre6QvONzW3AzIYeNpedWaW2pTeNXugHPHxbVQ/mFrCK//F/tXA14wWQ2CexyLTxM+BHcE/F0mL2HHI+5AsmzS2h33Ab7xja7iTwAAAP//HxNnsaD8lqMAAAAASUVORK5CYII="

url
string

Webpage URL for the generated UPI link and QR code for the reverse penny drop request. To enable this field, complete the Support Form and contact your account manager.

Example:

"https://verification-test.cashfree.com/rpd?shortCode=g4lnkgtaho0g"